Main Page Groups Namespaces

# sigc::internal::trackable_callback Struct Reference

Destroy notification callback. More...

List of all members.

## Public Member Functions
| trackable_callback (void* data, func_destroy_notify func)
## Public Attributes
void* | data_
func_destroy_notify | func_

## Detailed Description

Destroy notification callback.

A destroy notification callback consists of a data pointer and a function pointer. The function is executed from the owning callback list (of type sigc::internal::trackable_callback_list) when its parent object (of type sigc::trackable) is destroyed or overwritten.

## Constructor& Destructor Documentation

sigc::internal::trackable_callback::trackable_callback | ( | void * | data,
|  | func_destroy_notify | func |
| ) |  |  | `[inline]`

## Member Data Documentation

void* sigc::internal::trackable_callback::data_

func_destroy_notify sigc::internal::trackable_callback::func_

The documentation for this struct was generated from the following file:

- trackable.h